2012-11-01  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk-activatable.c: Fixed Bug #685816 
	  "Widget attributes editing broken" by reverting old fix and setting 
	  use-action-appearance default back to false so the old sensitivity
	  code can work as ussual.

	* gladeui/glade-editor-property.c:
	  o Fixed bug #678922 "When editing a label, the cursor is moved to the end after every change."
	  o Fixed a few leak since glade_property_make_string() returns a newlly allocated string.

2012-10-19  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-editor-property.c: Update GladeEditorProperty label 
	  sensitivity on GladeProperty sensitivity notify.

2012-10-14  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* configure.ac, NEWS: Rolling 3.14.1, bumped gtk dependency to 3.6.0

2012-10-13  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk-activatable.c:
	  Fixed bug in GtkButton custom editor properties sensitivity
	  bug #685816 "Widget attributes editing broken"

2012-10-08  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.c, gladeui/glade-design-view.c, gladeui/glade-utils.c:
	  Render bg in GladeDesignLayout and GladeDesignView

2012-10-07  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.c, gladeui/glade-design-view.c, gladeui/glade-utils.c:
	  Removed use of custon style providers. Fixes color problems in adwaita themes

2012-09-19  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* configure.ac, NEWS: Rolling 3.14.0, bumped gtk dependency to 3.5.17

2012-09-17  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Updated GtkAssistant support
	  Fixed bug #664276 "Can't add widgets to a GtkAssistant"
	  Make assistant update current page when a child is selected in the project.

2012-09-14  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade.glade: Set new property accel-group on action groups to make menu item accel work properly
	  Fixes bug 684041 "assertion failed: `gtk_accel_group_from_accel_closure (accel_closure) != NULL"

2012-09-13  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/gtk+.xml.in:
	  Set ignore=true on virtual property glade-style-classes to avoid bogus warnings

2012-09-06  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-object-stub.c, gladeui/glade-widget.c:
	  Do not abort if a project has a uninstantiable or abstract class object
	  instead load is as an object stub and let the user what to do.
	  Should be enough to close bug #646259
	  "SIGSEGV in glade_widget_adaptor_object_construct_object loading ui file"

	* gladeui/glade-base-editor.c, gladeui/glade-signal-editor.c :
	  Fixed runtime warning on GladeBaseEditor and GladeSignalEditor dispose methods

	* gladeui/glade-design-layout.c: Do not explicit set window bg as it should be handled by gtk.
	  Fixes glitches when the widget is on a different state.

2012-09-05  Paolo Borelli <pborelli@gnome.org> 

	* src/glade-close-button.[ch]: Sync close-button with the original gedit widget.
	  This way the proper symbolic close icon is used for the button.

2012-08-13  Javier Jardón <jjardon@gnome.org>

	* Makefile.am, configure.ac, help/: Use new documentation infrastructure

2012-07-31  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Added load/save/edit support
	for <style> <class name="foo"/> </style>, Fixes bgo 658035.

2012-07-14  Juan Pablo Ugarte <juanpablougarte@gmail.com>
	
	* plugins/gtk+/glade-gtk-activatable.[ch], plugins/gtk+/glade-gtk-switch.c,plugins/gtk+/glade-gtk.c:
	  Removed unneeded function glade_gtk_activatable_parse_finished()

2012-07-13  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk-activatable.c,plugins/gtk+/glade-gtk.c:
	  Fixed Bug #679589 "Use Action Appearance not supported for GTK 2.12 but added to widgets in Glade 3.8.2"
	  Made sure use-action-appearance is not saved if there is no action defined

2012-07-11  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: Fixed runtime warning when adding a notebook

	* gladeui/glade-project.c, gladeui/glade-widget.c: Fixed bug #679487 "Huge memory leaks"

	* src/glade-window.c: Fixed bug #679721 "mac-integration: missing 'widget' variable declaration"

2012-06-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-displayable-values.[ch]: Added glade_displayable_value_is_disabled/set_disabled() 

	* gladeui/glade-editor-property.c, gladeui/glade-property-class.c: disable GdkModifierType reserved values

	* gladeui/glade-project.c: Fixed warning on WIN32 (GPid on windows is not an integer)

2012-05-29  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* build/mingw-w64: Added build/mingw-w64 directory with script tp cross compile
	  and create windows installer using nsis

2012-05-23  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/Makefile.am, src/Makefile.am: Export symbols in glade executable for windows build

2012-05-22  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/Makefile.am: Replaced use of -export-symbols with -export-symbols-regex
	* gladeui/glade-app.h, gladeui/glade-catalog.h, gladeui/glade-signal-editor.h:
	  Removed old undefined symbols to fix build error on windows

2012-05-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-catalog.c: Improved error messages on modules loading failure.

	* gladeui/glade-utils.c: try_load_library () only check for file if library_path is not null

2012-05-17  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-app.[ch], gladeui/glade-utils.c : Let g_module_open() be called
	  with NULL so that it looks libraries in defaults directories.
	  Fixes bug #675977 "Don't hard-code library search paths"

	* gladeui/glade-builtins.c, gladeui/glade-signal-model.[ch]: Removed glade3 string

2012-05-12  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade.glade: Made view items Check items

2012-05-09  Juan Pablo Ugarte <juanpablougarte@gmail.com>
	
	* src/glade-window.c:
	  - Added workaround for gtk+ bug #671786 (Menu shows accelerators now)
	  - removed g_resources_lookup_data() use, since now we depend on gtk 3.4 which has
	    gtk_builder_add_from_resource()

	* src/glade.glade: Added F1 accel for developer reference

2012-05-08  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/gtk+.xml.in: Set save=false to every GtkActivatable properties since they
	  are always saved in glade_gtk_widget_write_widget()

2012-05-06  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* configure.ac, NEWS: Rolling 3.13.0, bumped gtk dependency to 3.4

2012-05-04  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * gladeui/glade-app.c: Added glade_init()
          Made glade_app_get_config() return a  static pointer so that it can be
          used before creating a GladeApp

        * src/Makefile.am, src/glade-preferences.[ch], src/glade-window.c, src/glade.glade:
          Implemented GladePreferences dialog.
          Fixes bug 588981 "Catalog support in GUI preferences instead of using environment var"

2012-05-03  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * gladeui/glade-utils.c: Reworked glade_util_get_placeholder_from_pointer()
          to use gdk_device_get_window_at_position() to get the placeholder window from the pointer.

        * src/glade-window.c: Use glade_util_get_placeholder_from_pointer() in paste action activate

        * gladeui/glade-popup.c: Fixed bug #675395
          "Using right click to add a widget over a placeholder do not work as expected every time"

        * gladeui/glade-widget.c: Added glade_widget_get_device_from_event()

        * gladeui/glade-design-layout.c:
          o Made unselected border color darker
          o Removed use of deprecated function gtk_widget_get_pointer()

2012-05-02  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * plugins/gtk+/gtk+.xml.in: Set GtkCheckButton:xalign save-always.
          Fixes bug #675042 "plugins/gtk+.xml.in: always store GtkButton [x|y]align properties"

2012-04-30  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * plugins/gtk+/glade-attributes.c: Replaced deprecated font and color 
          selection dialogs with font and color chooser dialogs.

2012-04-28  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * gladeui/glade-base-editor.c,
          gladeui/glade-design-layout.c,
          gladeui/glade-design-view.c,
          gladeui/glade-editor-property.c,
          gladeui/glade-editor.c,
          gladeui/glade-named-icon-chooser-dialog.c,
          gladeui/glade-palette.c,
          gladeui/glade-project.c,
          gladeui/glade-widget-adaptor.c,
          plugins/gtk+/glade-accels.c,
          plugins/gtk+/glade-attributes.c,
          plugins/gtk+/glade-button-editor.c,
          plugins/gtk+/glade-cell-renderer-editor.c,
          plugins/gtk+/glade-column-types.c,
          plugins/gtk+/glade-entry-editor.c,
          plugins/gtk+/glade-icon-factory-editor.c,
          plugins/gtk+/glade-icon-sources.c,
          plugins/gtk+/glade-image-editor.c,
          plugins/gtk+/glade-image-item-editor.c,
          plugins/gtk+/glade-label-editor.c,
          plugins/gtk+/glade-model-data.c,
          plugins/gtk+/glade-store-editor.c,
          plugins/gtk+/glade-text-button.c,
          plugins/gtk+/glade-tool-button-editor.c,
          plugins/gtk+/glade-tool-item-group-editor.c,
          plugins/gtk+/glade-treeview-editor.c:
            Removed use of deprecated GtkHBox, GtkVBox and others

2012-04-26  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * src/glade-window.c:
          o Use GtkBuilder and GResources to build GladeWindow contents
          o Implemented menu with GtkActions
          o Push tooltip for rencet manager and project actions

        * src/main.c: Register glade GResources

        * src/glade-resources.gresources.xml: Glade Gresource file

        * src/glade.glade: Glade UI GladeWindow, about and preferences dialog

        * src/glade-callbacks.h: callbacks declarations

        * src/Makefile.am: added glade-resource.c to source list

        * configure.ac: bumped version to 3.13 and added glib-compile-resources path program

        * glade-rules.mk: added common rules for GResources files

2012-04-25  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * gladeui/glade-design-view.c: Added custom style provider to setup 
          viewport background color to @base_color

        * gladeui/glade-design-layout.c:
          o Added custom stype provider to setup bg color to @base_color.
          o Simplyfied glade_design_layout_style_updated() using gtk_style_context_lookup_color()
          o Removed old theme hack widget_reset_bg_color()

        * plugins/gtk+/glade-accels.c: Replaced strcmp() with g_strcmp0 in glade_eprop_accel_populate_view()

        * gladeui/glade-app.c: glade_app_register_stock_icons() added fuction to register glade icons

        * gladeui/glade-project.[ch]: removed glade_project_pointer_mode_render_icon()

        * gladeui/glade-utils.c: added glade_utils_pointer_mode_render_icon()

        * gladeui/glade-catalog.[ch]:
          o Added glade_catalog_add_path() and glade_catalog_remove_path()
          o Added API documentation. Code cleanup.

2012-04-03  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * gladeui/glade-inspector.c: Removed use of deprecated object GCompletion

        * gladeui/glade-property-class.c: replaced deprecated function g_value_get_char with g_value_get_schar()

2012-03-31  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * gladeui/glade-signal-editor.c:
         o Fixed memory leak on handler-suggestion emison
         o added GladeSignalEditor::detail-suggestions signal

        * gladeui/glade-signal-model.c: Removed "__dummy" object data hack
          Now only the data model returns user strings like <Type Here> when the GladeSignal value is null

        * gladeui/glade-signal.c: fixed bug in glade_signal_set_detail() that allowed to set an empty string as a detail

2012-03-24  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * gladeui/glade-base-editor.c, gladeui/glade-editable.[ch],
          gladeui/glade-editor-property.c, gladeui/glade-editor.c,
          gladeui/glade-widget-adaptor.c:
        Migrated hand coded _get_type() function to G_DEFINE_TYPE() macro plus identation fixes.

2012-03-23  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * gladeui/glade-signal-editor.[ch]: Added support for signal detail.
          Fixes bug #670792 "Unable to connect to specific notify signals."

        * gladeui/glade-signal-model.[ch]: added GLADE_SIGNAL_COLUMN_DETAIL to 
          GladeSignalModelColumns.

        * gladeui/glade-signal.[ch]: added GladeSignal:detail property

        * gladeui/glade-widget.c: set detail on glade_widget_change_signal_handler()

2012-03-19  Daniel Mustieles <daniel.mustieles@gmail.com>

        * gladeui/glade-previewer.c: Fixed bug #662046

2012-03-19  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * gladeui/glade-accumulators.[ch]: Added new accumulator _glade_strv_handled_accumulator()

        * gladeui/glade-marshallers.list: Added new marshall BOXED:OBJECT

        * gladeui/glade-signal-editor.[ch]:
          o Implemented GladeSignalEditor::callback-suggestions signal
            (based on patch by Marco Diego Aurélio Mesquita <marcodiegomesquita@gmail.com >)
            Closes bug #667570 "Implement callback name suggestion on glade-signal-editor"
          o Added GladeSignalEditor:widget object property

        * gladeui/glade-signal-model.c: Fixed bogus runtime warning in 
          glade_signal_model_iter_n_children() when it is called with a NULL iter
          Fixed space identation (we use * next to the variable name)
    
2012-02-17  Marco Diego Aurélio Mesquita <marcodiegomesquita@gmail.com>

        * Fixed bug 669272 "Emit a signal to notify signal activation"

2012-02-15  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * plugins/gtk+/glade-gtk-grid.c: Fix bug 664912 "GtkGrid assumes 3x3 (edit)"

        * plugins/gtk+/glade-gtk.c: Fixed bug 645340 "Minor string typo"

        * plugins/gtk+/gtk+.xml.in: Fixed bug 646366 "non-sense UI string"

2012-02-13  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* configure.ac, NEWS: Rolling 3.11.0

2012-01-29  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Correct the 'book' to search for GTK+3 documentation,
	Credit goes to Pietro Battiston for pointing out the exact problem.

2011-12-15  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-editor-property.c: Let the backend reload the real value if one was rejected by a verify function.

	* plugins/gtk+/glade-gtk-grid.c: Reworked support for width and height properties.

	* gladeui/glade-base-editor.c: Removed dialog hint to make gnome-shell put a close button in the window.

2011-11-23  Dieter Verfaillie <dieterv@optionexplicit.be>

	* build/mswindows/README, build/mswindows/build_glade.sh:
	Added custom build scripts for building on MS windows.

2011-11-17  Fredy Paquet <fpa@opag.ch>

	* plugins/gtk+/glade-gtk.c: Improved performance of modifying GtkTable
	  contents, shows specifically when loading files containing large tables.

	Bug 663516

2011-11-03  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.c:
	  o Added workaround for child bg bug on Adwaita theme.
	  o Fixed bug detecting widget including margins

	* gladeui/glade-design-view.c: cleaned up glade_design_view_style_updated()
	  to make it use new style context instead of modifying its own.

2011-10-31  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.c:
	  o Use only button 1 press to select widgets.
	  o Fixed bug in gdl_get_margins_from_pointer(), needed to translate coordinates
	  o In glade_design_layout_find_inside_container() use widget margins as
	    if they where part of the widget allocation.

2011-10-12  Arnel A. Borja <kyoushuu@yahoo.com>

	* gladeui/glade-previewer.rc.in: Change the name of the icon in the resource
	file to glade.ico

2011-10-11  Johannes Schmid <jhs@gnome.org>

	* gladeui/glade-project.c: Avoid crashing if glade-previewer is not installed, bug 650899.

2011-10-11  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-app.h: Make Glade 3.10 use new environment variables for proper
	parallel installability.

	* doc/catalogintro.sgml: Update docs about environment vars.

	* doc/Makefile.am: Make documentation parallel installable.

2011-10-11  Benjamin Otte <otte@redhat.com>

	* gladeui/glade-editor-property.c:
	Make size groups widget selection work (bug 647984)

2011-10-09  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-project.c: Fix glade_project_notify_has_child() to notify
	that the children are gone only when the last item on that level disappears.

	Fixes bug 651673

2011-10-09  Fabien Parent <parent.f@gmail.com>

	* gladeui/glade-property.c, gladeui/glade-xml-utils.c:

	Fix a bug on the GtkComboBoxText (and probably others) when adding
	a special char (like '&') in an item's name: every characters following
	the special char disappeared while writting the xml file.

	Bug 654609.

2011-10-06  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget-adaptor.c: Implemented a generic ->depends() routine
	to ensure that liststores are serialized before treemodelfilters which refer to them (bug 657164).

2011-10-06  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/gtk+.xml.in: Make n-row and n-column save false.
	  Fixes bug #660607 "Warnings when using GtkGrid created in Glade 3.10"

	* gladeui/glade-project.c:
	  Emit parse-finished signal before setting loading state to false.

	* plugins/gtk+/glade-gtk-grid.c: infer n-row and n-column virtual
	  properties value from children packing props.

2011-10-05  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk-grid.c: Update placeholders when a grid child's
	  width or height child properties change.

2011-10-04  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Ensure 'related-action'
	and 'use-action-appearance' are serialized in the right order.

2011-10-04  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * gladeui/glade-previewer.c:
	  o Fixed bug #660874 "glade-previewer fails to open UI files without top windows"
	  o Fixed bug #660872 "glade-previewer crashes on non-existent files"
	  o Fixed runtime warnings in option parsing.

	* gladeui/glade-base-editor.c, gladeui/glade-project.c: fixed spelling errors

2011-09-19  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-object-stub.[ch]: Added new object type used to remember
	  unknown objects in xml files.

	* gladeui/glade-utils.c: made glade_util_ui_message () accept markup strings.

	* gladeui/glade-xml-utils.[ch]: added new function glade_xml_node_copy()

	* gladeui/glade-widget.c:
	  o glade_widget_read() create object stub if class is unknown.
	  o glade_widget_write() used saved xml to dump stub objects.

	* glade/gladeui/glade-project.c: make GladeProject remember unknown catalogs
	  to avoid loosing requirements when loading/saving a file with unknown objects.

2011-09-19 Ignacio Casal Quinteiro <icq@gnome.org>

        * configure.ac, plugins/python/glade-python.c:
          Bump pygobject requisite to pygobject 3. Fixes bug #658667.

2011-06-14  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-project.h:
	  glade_property_class_set_virtual() renamed virtual paramenter to value to prevent C++ clash

	* gladeui/glade-property-class.[ch]: fixed _GladePointerMode and _GladeSupportMask enum declaration C++ error

2011-05-20  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-base-editor.c,
	  gladeui/glade-catalog.c
	  gladeui/glade-design-layout.c
	  gladeui/glade-editor-property.c
	  gladeui/glade-inspector.c
	  gladeui/glade-named-icon-chooser-dialog.c
	  gladeui/glade-palette.c
	  gladeui/glade-placeholder.c
	  gladeui/glade-project.c
	  gladeui/glade-property.c
	  gladeui/glade-widget.c
	  plugins/gtk+/glade-accels.c
	  plugins/gtk+/glade-attributes.c
	  plugins/gtk+/glade-gtk.c
	  plugins/gtk+/glade-model-data.c
	  src/glade-window.c:
	    Fixed "variable set but not used" warnings (-Wunused-but-set-variable)

2011-04-29  Javier Jardón <jjardon@gnome.org>

	* gladeui/glade-utils.c: Correctly detect the required devhelp version

2011-04-22  Tristan Van Berkom <tvb@gnome.org>

	* src/main.c: Fixed loading correct application icon (bug 648487
	  fix by Stéphane Maniaci).

2011-04-21  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.c: fixed bug while grabbing resize grip
	  (Child offset was missing from dx and dy)

2011-04-13  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-view.c:
	  o removed progress bar
	  o draw wilber when there is no project loaded
	  o set widget bg on GtkWidget::style-updated signal

	* gladeui/glade-design-layout.c:
	  o set widget bg and update frame colors on GtkWidget::style-updated signal
	  o removed deprecated GtkStyle use and replaced with GtkStyleContext

	* src/main.c: added loading time output if --verbose is set

	* src/glade-window.c:
	  o added % to progress bar string
	  o only update progressbar if percentage changed

	* gladeui/glade-project.c: slightly optimized glade_project_add_object()

	* gladeui/glade-path.h: new file containing a cairo_path_t of GLADE's old
          logo remake by Franco Dodorico.

2011-04-05  Tristan Van Berkom <tristanvb@openismus.com>

	* configure.ac, NEWS: Rolling 3.10.0

2011-04-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget-adaptor.[ch]:
	  o Added support for reading internal children declaration in the catalog
	  o Create internal children as specified in catalog in glade_widget_adaptor_post_create()
	    before calling deep_post_create() and post_create() methods
	  o new API glade_widget_adaptor_has_internal_children()

	* gladeui/glade-widget.[ch]:
	  o Made GladeWidget::reason property readable
	  o Added new API glade_widget_find_child()
	  o glade_widget_constructor() do not set catalog defaults for internal widgets.
	    (Fixes GtkDialog action area orientation)

	* plugins/gtk+/glade-gtk-action-widgets.[ch]:
	  o reworked code from GtkDialog support to read and write widget actions special tags
	    found in GtkDialog and GtkInfoBar widgets

	* plugins/gtk+/glade-gtk.c:
	  o Removed GtkBox, GtkDialog, GtkComboBox and GtkTreeView unused get_internal_child functions
	  o Removed creation of internal children of GtkDialog, GtkColorSelectionDialog,
	    GtkFontSelectionDialog, GtkComboBox and GtkTreeView.
	  o Implemented GtkDialog action-widgets tag support using common code.
	  o Fixed GtkBox virtual property size ()
	  o Fixed GtkDialog derived classes placeholders creation.
	  o Set GtkButton::stock on post_create when reason is user.
	    (Fixes bug in internal buttons with stock icons)
	  o Made glade_gtk_container_get_children() chain up to parent implementation to get
	    internal widget and purify the list to remove posible duplicates

	* plugins/gtk+/gtk+.xml.in:
	  o Defined internal children of GtkDialog, GtkColorSelectionDialog,
	    GtkFontSelectionDialog, GtkComboBox, GtkInfoBar and GtkTreeView.
	  o Added <internal-children> tag new format
	    <internal-children>
	      <object/>
	        <object>
	        <object/>
	      </object>
	    </internal-children>
	  o make GtkTreeViewColumn:widget property parentless-widget

	* gladeui/glade-xml-utils.h: Added GLADE_TAG_INTERNAL_CHILDREN and GLADE_TAG_ANARCHIST tags

	* src/glade-window.c: set project in inspector after finishing loading
	  (25% improvment in loading time)

2011-04-04  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/icons/*: Added remaining icons contributed by Florent Thévenet.

	* doc/gladeui.types: Fixed inclusion of private type in doc generation (bug 645125).

	* glade-widget.[ch]:
	  - Make glade_widget_find_child() have a const gchar argument
	  - Use glade_widget_get_internal_child() instead of glade_widget_get_internal_func().
	  - Revert my long ago fix to never set packing properties onto GladeWidgets

	* plugins/gtk+/glade-gtk.c: Make h/vexpand properties 'needs-sync', fixes GtkDialog's
	  showing up with expanding action area (due to placeholders needing to expand).

	* gladeui/glade-widget-adaptor.c, plugins/gtk+/gtk+.xml.in: Declare treeview's internal
	  selection as 'anarchist'.

2011-04-03  Cosimo Cecchi <cosimoc@gnome.org>
	* doc/Makefile.am: don't use gtk+-2.0 for scanning the docs

2011-04-01  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c,
	  plugins/gtk+/glade-cell-renderer-editor.c,
	  plugins/gtk+/gtk+.xml.in:
	  Added support to edit cell renderers in GtkEntryCompletion

2011-03-31  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-base-editor.c,
	  gladeui/glade-cell-renderer-icon.c,
	  gladeui/glade-clipboard.c,
	  gladeui/glade-editor.c,
	  gladeui/glade-inspector.c,
	  gladeui/glade-palette.c,
	  gladeui/glade-project.c,
	  gladeui/glade-property.c,
	  gladeui/glade-signal.c,
	  gladeui/glade-widget-action.c,
	  gladeui/glade-widget.c:
	    Replaced g_object_notify() with g_object_notify_by_spec()

2011-03-24  William Jon McCann <jmccann@redhat.com>

	Including a hi-res resolution variant of the application icon
	designed by Jakub Steiner (bug 645602).

2011-03-24  Cosimo Cecchi <cosimoc@gnome.org>

	* src/glade-window.c: add a primary-toolbar style class to the toolbar

2011-03-15  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.c: fixed allocation bug.
	  It was using height instead of width.

2011-04-04  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/icons/*: Added remaining icons contributed by Florent Thévenet.

2011-03-11  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/icons/...: Added/Updated icons for GtkSizeGroup, GtkStatusIcon, Gtk*Filter
	graphics contributed by Florent Thévenet.

2011-03-09  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-widget-adaptor.c: Added logic to re-composite the widget icon
	  with a deprecation overlay pixbuf if a widget is deprecated.

	* data/icons/Makefile.am, icons: Added deprecation overlay graphics
	  contributed by Florent Thévenet.

2011-03-09  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-project.[ch]
	  o Fixed function declaration and indentation
	  o Call glade_project_notify_row_has_child() after deleting the object from the model
	    otherwise the GladeProject views do not update properly.

2011-03-09  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/icons/...: Added/Updated icons for GtkOffscreenWindow,
	  GtkInfoBar, GtkTextBuffer, GtkEntryBuffer, GtkRecentFilter, GtkFileFilter,
	  GtkTreeModelFilter, GtkAccelGroup, GtkTreeSelection, GtkTreeViewColumn.
	  Graphics contributed by Florent Thévenet.

	* plugins/gtk+/gtk+.xml.in: Reorganized palette, removed textbuffer/treemodel
	  groups and dumped all of that into the misc category.

2011-03-08  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/gtk+.xml.in: Added missing xml for new cell renderer properties.

	* plugins/gtk+/icons/...: Added missing icons for GtkTextTag, GtkTextTagTable,
	  GtkToolPalette, GtkToolItemGroup, GtkTearoffMenuItem, GtkInfoBar.
	  Graphics contributed by Florent Thévenet.

	* plugins/gtk+/icons/...: Added/Updated icons for GtkTextTag, GtkTextTagTable,
	  GtkInfoBar, GtkAppChooserWidget, GtkAppChooserButton, GtkCellAreaBox.
	  Graphics contributed by Florent Thévenet.

2011-03-07  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-editable.[ch]:
	 o Added glade_editable_loaded_widget().
	 o Added glade_editable_loading().

	* gladeui/glade-editor-property.c: Fixed glade_editor_property_commit() to
	  use glade_editor_property_load() instead of the vfunc directly.

	* gladeui/glade-cell-renderer-editor.c: Fixed to properly use GladeEditable iface.

	* gladeui/glade-*-editor.c: Fixed all GladeEditable implementations to use
	  the new glade_editable_loading() and glade_editable_loaded_widget() instead
	  of manually bookkeeping those states in each implementation.

2011-03-06  Christopher Aillon <caillon@redhat.com>

	* data/icons/hicolor/*/apps/glade-3.{png,svg,xcf}:
	  Rename to glade.* fixing bug 644041

	* data/icons/hicolor/*/apps/Makefile.am: Adjust for above changes

2011-03-06  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Added add-verify-function
	  to allow treeview columns to be added to treeviews again.

	* plugins/gtk+/icons/*:
	  - Cleaned out old deprecated icons
	  - Added new GtkAppChooserDialog, GtkCellRendererSpinner and GtkComboBoxText icons
	    contributed by Florent Thévenet.

	* gladeui/glade-builtins.c: Changed displayable values for extra stock icons
	  to say "Drag and Drop" instead of "DnD", fixing translator bug 561042.

	* gladeui/glade-editor-property.c: Added a description tooltip about the "Context"
	  parameter of translatable strings, fixing i18n bug 609872.

	* plugins/gtk+/glade-gtk.c: Fixed dialog warnings to be better translatable
	  (fixing bug 640937).

	* plugins/gtk+/glade-gtk-grid.c: Fixed Drag/Resize algo to use ints instead
	  of uints (since grid packing properties are ints).

	* plugins/gtk+/gtk+.xml.in: Fixed unserialized GtkGrid packing property
	  values (bug 643668).

2011-03-02  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.c:
	  o removed double click toplevel maximize feature
	  o replaced GDK_FLEUR cursor with GDK_BOTTOM_RIGHT_CORNER for resize action

	* gladeui/glade-design-view.c: make layout_box GTK_ALIGN_START to fix toplevel alignment

	* configure.ac, doc/gladepython.sgml, plugins/python/Makefile.am, plugins/python/glade-python.c:
	  Applied patch by Craig Keogh to fix bug #626225
	  "Migrate from PyGTK to PyGObject introspection-based bindings"

2010-02-01 Marco Diego Aurélio Mesquita <marcodiegomesquita@gmail.com>

	* gladeui/glade-previewer.c: Initialize core library so that plugin types can be previewed.

2011-03-01  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-property-class.c: When a property is disabled, mark it explicitly
	  as query=FALSE (avoid the query dialog).

	* plugins/gtk+/gtk+.xml.in: Added support for GtkAppChooser classes

2011-02-28 Marco Diego Aurélio Mesquita <marcodiegomesquita@gmail.com>

	* gladeui/glade-previewer.c:
	Glade previewer main window is now free from uncontrolled pop-up windows.

2011-02-28  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/icons/...: Removed all GtkH/V orientable
	subclasses from the palette... reuse icons for base class widgets that are still in the palette.

	* plugins/gtk+/icons/..: Added GtkSpinner icon contributed by Dolean Samuel.

2011-02-25  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-widget.c: Fixed loading of notebook pages with construct-properties
	  (bug 641590, patch by Craig Keogh).

2011-02-24  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-editor.c: Optimize window resizing by hiding inner notebook pages
	  when those pages are not shown

	* gladeui/glade-placeholder.c: Make placeholders expand by default.

	* plugins/gtk+/Makefile.am, plugins/gtk+/glade-gtk-grid.c, plugins/gtk+/gtk+.xml.in:
	  Added support for GtkGrid.

2011-02-17  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/glade-gtk-table.c, plugins/gtk+/Makefile.am:
	  Split out GtkTable adaptor into glade-gtk-table.c

2011-02-10  Marco Diego Aurélio Mesquita <marcodiegomesquita@gmail.com>

	* gladeui/Makefile.am:
	  Added new files needed for object separation and updated protocol for the preview feature.

	* gladeui/glade-preview-tokens.h:
	  Stores commom code between glade-preview and glade-previewer.

	* gladeui/glade-preview-tokens.h:
	  Updated protocol. Updated license to LGPL.

	* gladeui/glade-project.c, gladeui/glade-preview.[ch]:
	  Object separation for Glade_preview. Updated license of gladeui/glade-preview.[ch] to LGPL.
	  Updated protocol for glade-previewer.

2011-02-08  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.c:
	  o Fixed bug #641487 "Selection drawn at incorrect positions"
	  o fixed double click layout maximization
	  o use gtk_widget_get_preferred_size() in get_preferred_width/height() fixes
	    allocation bug related to bug #641487
	  o removed unused function on_child_size_allocate()
	  o start using GDK_FLEUR as resize grip cursor

2011-02-05  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/gtk+.xml.in: Disabling irrelevant properties for GtkScaleButton

	* gladeui/glade-widget.c: Make glade_widget_rebuild() use glade_widget_add/remove
	  instead of glade_widget_replace().

	* gladeui/Makefile.am, gladeui/glade-accumulators.[ch], gladeui/glade-app.c,
	gladeui/glade-base-editor.c, gladeui/glade-cell-renderer-icon.c,
	gladeui/glade-editor-property.c, gladeui/glade-project.c, gladeui/glade-property.c,
        gladeui/glade-widget.c, plugins/gtk+/Makefile.am, plugins/gtk+/glade-fixed.c
	Made glade-marshallers.[ch] and glade-accumulators.[ch] private to libgladeui-2.

2011-02-04  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-project.c:
	  o Added notification of row-has-child-toggled when first
	    child is added to a parent or last child removed
	  o Added glade_project_check_reordered() to be called after setting
	    a child property on a widget since this may effect the order of children,
	    if the order changes, then emit the "rows-reordered" treemodel signal.

	* gladeui/glade-widget.c: call glade_project_check_reordered() after applying
	  child properties.

	* gladeui/glade-base-editor.c: Delete child first before adding a replacement
	  when changing a child's type (we cant assume the parent can hold more than
	  one child).

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Added support for
	GtkRecentChooserMenu.

2011-02-03  Pablo Castellano <pablog@gnome.org>

	Make libgladeui-2 library come with introspection data, patch based on original
	patch by Alan Knowles.

	* configure.ac: Added gobject-introspection m4 stuff

	* gladeui/Makefile.am: Added rules to build Gladeui-2.0 gir and typelib

	* gladeui/glade-app.c, gladeui/glade-command.c, gladeui/glade-project.c: Some changes
	  made to pass the introspection build.

2011-02-03  Frederic Peters <fpeters@0d.be>

	* src/glade-window.c: Put File->Properties before Quit in the File menu

2011-02-03  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/glade-attributes.c, plugins/gtk+/glade-gtk.c:
	Add support for editing the PangoFontDesctiption in GtkLabel attributes (GtkBuilder
	has supported this ever since supporting <attributes>, only just adding a GtkFontSelectionDialog
	to do this from Glade now.

	* gladeui/glade-editor-property.c, gladeui/glade-property-class.c,
	gladeui/glade-widget-adaptor.c: Added support for GdkRGBA properties

	* gladeui/glade-property.c: When loading properties, set the enabled flag at load time before
	  syncing the property instead of after (so that backends can sync the property in the UI).

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Add notion of GdkRGBA properties to
	GtkColorButton adaptor (so that the workspace driven dialog can also set rgba properties), and
	make rgba properties optional and disabled by default.

	* gladeui/glade-editor.c: Make reset/docs buttons insensitive by default.

	* gladeui/glade-project.c: Notify "path" changes when loading new project

	* src/glade-window.c: Refresh window title when project path changes.

	* plugins/gtk+/gtk+.xml.in: Dont sync transient-for property on GtkWindow, this
	  can cause crashes at project destroy time.

	* src/glade-window.c: Removed user manual link from Help menu, it's not online
	  as far as I know and no work was done on it, the current user manual needs work
	  and is just not useful in it's current state.

2011-02-02  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.c:
	allocate all the remaining space to child, this fixes some allocation issues
	on widget where gtk_widget_get_preferred_height() value is different than
	the one returned by gtk_widget_get_preferred_size()

	* gladeui/glade-design-view.c:
	o set layout halign property to GTK_ALIGN_START
	o pack toplevel widgets in GladeProject toplevels list order.

	* gladeui/glade-project.[ch]: added accessor for toplevel list

	* gladeui/glade-property.c: added special case for parentless widget properties
	on glade_property_set_value_impl() to show and hide new and old values.

	* gladeui/glade-editor-property.c: removed glade_widget_hide() call on
	glade_eprop_object_show_dialog() since now its handled on GladeProperty

2011-02-01  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.c:
	o do not allocate width for the toplevel name.
	o draw toplevel name with a fade at the end if it does not fit.

2011-02-01  Tristan Van Berkom <tristanvb@openismus.com>

	* configure.ac, NEWS: Rolling 3.9.2

	* gladuei/glade-design-private.h, gladeui/glade-design-layout.[ch],
	gladeui/glade-design-view.[ch]: Relicensed LGPL, Juan Pablo Ugarte, Vincent Geddes and I
	are the only Copyright holders for these files and I have thier consent to relicense
	these files LGPL.

	* gladeui/glade-debug.c: Avoid showing an unavoidable warning regarding
	  gdk_window_set_composited().

2011-01-31  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.[ch]:
	o added widget maximization on label double click
	o fixed size allocation to be able to maximize widget without making the viewport
	scrollbars appear

	o removed glade_design_layout_selection_set()

	o added design-view construct only property

	o use _glade_design_view_freeze/thaw() to avoid scrolling to selection from
	  the layout.
	o implemented get_preferred_width_for_height() and get_preferred_width_for_height()
	  to fix allocation problem
	o check if toplevel has a child selected before selecting it itself on button press
	o dont draw selection if widget has no allocation
	o added PangoLayout to draw widget name
	o added space needed for widget name in glade_design_layout_get_preferred_height ()
	o glade_design_layout_size_allocate() allocate enough space for widget name
	o moved widget name to south east and used as resize grip
	o update widget name on GladeWidget::notify:name

      * gladeui/glade-design-view.[ch]:
	o improved viewport scrolling to selected toplevel, now we only scroll if
	  the selection was not triggered by the layout.
	o implemented _glade_design_view_freeze/thaw()
	o removed glade_design_view_get_layout() declaration
	o removed gladeui/glade-design-layout.h include
	o handle widget adding and removal on project's add-widget and remove-widget signals
	o added widget-visibility-changed handler to add/remove toplevels on visibility change

	* gladeui/glade-design-private.h: added new file to declare private API.

	* gladeui/glade-app.c: replaced GladeDesignLayout API with the new private one

	* gladeui/glade-project.[ch]:
	o added GladeProject::widget-visibility-changed signal
	o added glade_project_widget_visibility_changed() function

	* gladeui/glade-widget.c:
	o added visible property.
	o use glade_project_widget_visibility_changed() to emit signal on widget visibility change

	* gladeui/glade.h: removed glade-design-layout.h since now its private

	* gladeui/Makefile.am: do not install private header glade-design-layout.h

	* plugins/gtk+/Makefile.am: do not install headers

2011-01-29  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/glade-model-data.c: Avoid committing the data if the data did not
	  change... committing the data when there is no change can cause the editor to
	  load itself, this editor does not deal with that well. Fixes crasher bug 622839.

	* plugins/gtk+/gtk+.xml.in: Add support for editing GtkOffscreenWindow, tricked
	  this out by just using the "parent" xml attribute and deriving GtkWindow and
	  disabling all the irrelevant GtkWindow properties.

2011-01-28  Tristan Van Berkom <tristanvb@openismus.com>
